# Visualization
TKV3d
Graphic3d

# Graphic3d_HArray1OfBytes Class Reference

`#include <Graphic3d_HArray1OfBytes.hxx>`

## Public Member Functions

Standard_EXPORT | Graphic3d_HArray1OfBytes (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Graphic3d_HArray1OfBytes (const Standard_Integer Low, const Standard_Integer Up, const Standard_Byte &V)
Standard_EXPORT void | Init (const Standard_Byte &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Byte &Value)
const Standard_Byte & | Value (const Standard_Integer Index) const
Standard_Byte & | ChangeValue (const Standard_Integer Index)
const Graphic3d_Array1OfBytes & | Array1 () const
Graphic3d_Array1OfBytes & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Graphic3d_Array1OfBytes | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_HArray1OfBytes::Graphic3d_HArray1OfBytes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Graphic3d_HArray1OfBytes::Graphic3d_HArray1OfBytes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Byte & | V
| ) |

## Member Function Documentation

const Graphic3d_Array1OfBytes& Graphic3d_HArray1OfBytes::Array1 | ( |  | ) | const

Graphic3d_Array1OfBytes& Graphic3d_HArray1OfBytes::ChangeArray1 | ( |  | ) |

Standard_Byte& Graphic3d_HArray1OfBytes::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Graphic3d_HArray1OfBytes::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Graphic3d_HArray1OfBytes::Init | ( | const Standard_Byte & | V | ) |

Standard_Integer Graphic3d_HArray1OfBytes::Length | ( |  | ) | const

Standard_Integer Graphic3d_HArray1OfBytes::Lower | ( |  | ) | const

void Graphic3d_HArray1OfBytes::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Byte & | Value
| ) |

Standard_Integer Graphic3d_HArray1OfBytes::Upper | ( |  | ) | const

const Standard_Byte& Graphic3d_HArray1OfBytes::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Graphic3d_Array1OfBytes Graphic3d_HArray1OfBytes::myArray `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_HArray1OfBytes.hxx